| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Namespaces | Functions
ZWSecurity.cpp File Reference
`#include "Defs.h"`
`#include "ZWSecurity.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "Manager.h"`
`#include "Options.h"`
`#include "Utils.h"`
`#include "platform/Log.h"`
`#include "command_classes/MultiInstance.h"`
`#include "command_classes/Security.h"`
`#include "aes/aescpp.h"`

## Namespaces
namespace | OpenZWave

## Functions
bool | OpenZWave::GenerateAuthentication (uint8 const *_data, uint32 const _length, Driver *driver, uint8 const _sendingNode, uint8 const _receivingNode, uint8 *iv, uint8 *_authentication)
bool | OpenZWave::EncyrptBuffer (uint8 *m_buffer, uint8 m_length, Driver *driver, uint8 const _sendingNode, uint8 const _receivingNode, uint8 const m_nonce[8], uint8 *e_buffer)
bool | OpenZWave::createIVFromPacket_inbound (uint8 const *_data, uint8 const m_nonce[8], uint8 *iv)
bool | OpenZWave::DecryptBuffer (uint8 *e_buffer, uint8 e_length, Driver *driver, uint8 const _sendingNode, uint8 const _receivingNode, uint8 const m_nonce[8], uint8 *m_buffer)
SecurityStrategy | OpenZWave::ShouldSecureCommandClass (uint8 CommandClass)